Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.jms
Interface ServerSessionPoolFactory

public interface ServerSessionPoolFactory

Factory interface for creating Server Session Pools. This interface is provided because it was not defined in `javax.jms`.

Author:
  Copyright (c) 2000 by BEA Systems, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`javax.jms.ServerSessionPool` | `createServerSessionPool(javax.jms.Connection connection, int sessionsMaximum, int acknowledgeMode, boolean transacted, java.lang.String messageListenerClass, java.io.Serializable userData)` Create a ServerSessionPool which can be used to service messages sent to a message listener in parallel, by a pool of ServerSessions.
`javax.jms.ServerSessionPool` | `getServerSessionPool(javax.jms.QueueConnection connection, int maxSessions, boolean transacted, int ackMode, java.lang.String listenerClassName)` Create a ServerSessionPool which can be used to service messages sent to a message listener in parallel, by a pool of ServerSessions.
`javax.jms.ServerSessionPool` | `getServerSessionPool(javax.jms.TopicConnection connection, int maxSessions, boolean transacted, int ackMode, java.lang.String listenerClassName)` Create a ServerSessionPool which can be used to service messages sent to a message listener in parallel, by a pool of ServerSessions.

Method Detail

### getServerSessionPool

    public javax.jms.ServerSessionPool getServerSessionPool(javax.jms.TopicConnection connection,
                                                            int maxSessions,
                                                            boolean transacted,
                                                            int ackMode,
                                                            java.lang.String listenerClassName)
                                                     throws javax.jms.JMSException

  Create a ServerSessionPool which can be used to service messages sent to a message listener in parallel, by a pool of ServerSessions.

  The class `listenerClassName` may define a constructor which accepts a Session as an argument. The class must be public, and must define a public default constructor.

  Parameters:
    `connection` - Connection used to create the JMS Session
    `maxSessions` - Maximum number of sessions in the pool
    `transacted` - True if the session should be transacted
    `ackMode` - Acknowledgement mode for message delivery
    `listenerClassName` - Class to be instantiated to receive messages
  Throws:
    javax.jms.JMSException - if a JMS error occurs

### getServerSessionPool

    public javax.jms.ServerSessionPool getServerSessionPool(javax.jms.QueueConnection connection,
                                                            int maxSessions,
                                                            boolean transacted,
                                                            int ackMode,
                                                            java.lang.String listenerClassName)
                                                     throws javax.jms.JMSException

  Create a ServerSessionPool which can be used to service messages sent to a message listener in parallel, by a pool of ServerSessions.

  The class `listenerClassName` may define a constructor which accepts a Session as an argument. The class must be public, and must define a public default constructor.

  Parameters:
    `connection` - Connection used to create the JMS Session
    `maxSessions` - Maximum number of sessions in the pool
    `transacted` - True if the session should be transacted
    `ackMode` - Acknowledgement mode for message delivery.
    `listenerClassName` - Class to be instantiated to receive messages
  Throws:
    javax.jms.JMSException - if a JMS error occurs

### createServerSessionPool

    public javax.jms.ServerSessionPool createServerSessionPool(javax.jms.Connection connection,
                                                               int sessionsMaximum,
                                                               int acknowledgeMode,
                                                               boolean transacted,
                                                               java.lang.String messageListenerClass,
                                                               java.io.Serializable userData)
                                                        throws javax.jms.JMSException

  Create a ServerSessionPool which can be used to service messages sent to a message listener in parallel, by a pool of ServerSessions.

  The class `listenerClassName` may define a constructor which accepts a Session as an argument. The class must be public, and must define a public default constructor. If the `clientData` and the `listenerClassName` refers to a class implementing the weblogic.jms.extensions.ServerSessionPoolListener interface, then the `clientData` is passed to the listener for use in the onMessage routine

  Parameters:
    `connection` - Connection used to create the JMS Session
    `maxSessions` - Maximum number of sessions in the pool
    `transacted` - True if the session should be transacted
    `ackMode` - Acknowledgement mode for message delivery.
    `listenerClassName` - Class to be instantiated to receive messages
    `clientData` - Serializable client data passed to listener
  Throws:
    javax.jms.JMSException - if a JMS error occurs
  See Also:
    `ServerSessionPoolListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD